RSA BSAFE® Crypto-C Micro Edition

Certificate details

Certificate ID #4470
Status historical
Historical reason Moved to historical list due to sunsetting
Validation dates 11.04.2023
Standard FIPS 140-2
Security level 1
Type Software
Embodiment Multi-Chip Stand Alone
Caveat When operated in FIPS mode. When entropy is externally loaded, no assurance of the minimum strength of generated keys
Exceptions
  • Cryptographic Module Specification: Level 3
  • Physical Security: N/A
  • Design Assurance: Level 3
Description The Crypto-C Micro Edition (ME) Module is RSA's cryptographic library designed for securing mobile devices like wireless phones and personal digital assistants. It contains assembly-level optimizations on key wireless processors. Its functionality includes a wide range of data encryption and signing algorithms, including Triple-DES, the Advanced Encryption Standard (AES) algorithm, the RSA Public Key Cryptosystem, the DSA government signature algorithm, MD5 and SHA1 message digest routines, and more.
Tested configurations
  • SUSE Linux Enterprise Server 12 SP3 on VMWare ESXi 6.0.0 running on a Dell R630 with Intel Xeon E5-2620 with PAA (64-bit)
  • SUSE Linux Enterprise Server 12 SP3 on VMWare ESXi 6.0.0 running on a Dell R630 with Intel Xeon E5-2620 without PAA (64-bit) (single-user mode)
Vendor Dell Inc., BSAFE Product Team http://www.dell.com
Lab Leidos Accredited Testing & Evaluation (AT&E) Lab
Algorithms
References

This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates.

Security policy

Extracted keywords

Symmetric Algorithms
AES, AES-128, AES-192, AES-256, RC2, RC4, RC5, DES, Triple-DES, Camellia, ARIA, SEED, HMAC
Asymmetric Algorithms
RSA-OAEP, RSA-CRT, ECDH, ECDSA, ECIES, ECC, Diffie-Hellman, DH, DSA
Hash functions
SHA-1, SHA-224, SHA-256, SHA-384, SHA-512, SHA-2, SHA3-224, SHA3-256, SHA3-384, SHA3-512, SHA-3, SHA-3-224, SHA-3-256, SHA-3-384, SHA-3-512, MD4, MD5, PBKDF2, PBKDF1
Schemes
MAC, Key Agreement
Protocols
SSL, TLS, TLS 1.2, TLS 1.0, TLS 1.1
Randomness
PRNG, DRBG, RNG
Elliptic Curves
P-224, P-256, P-384, P-521, P-192, B-233, B-283, B-409, B-571, K-233, K-283, K-409, K-571, B-163, K-163
Block cipher modes
ECB, CBC, CTR, CFB, OFB, GCM, CCM, XTS

Security level
Level 1, Level 3
Side-channel analysis
Timing Attack, timing attacks, timing attack, Oracle Attack

Automated analysis

Automated inference - use with caution

All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.

No automatically derived data are available in this section.

Cross-references

No references are available for this certificate.

Processing updates

Feed
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate was first processed.

Raw data

{
  "_type": "sec_certs.sample.fips.FIPSCertificate",
  "cert_id": 4470,
  "dgst": "fa35076ac94b61de",
  "heuristics": {
    "_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
    "algorithms": {
      "_type": "Set",
      "elements": [
        "KTS#C584",
        "ECDSA#C584",
        "SHA-3#C584",
        "DSA#C584",
        "#C584",
        "DRBG#C584",
        "HMAC#C584",
        "AES#C584",
        "RSA#C584",
        "SHS#C584",
        "KBKDF#C584",
        "CVL#C584"
      ]
    },
    "cpe_matches": null,
    "direct_transitive_cves": null,
    "extracted_versions": {
      "_type": "Set",
      "elements": [
        "-"
      ]
    },
    "indirect_transitive_cves": null,
    "module_processed_references": {
      "_type": "sec_certs.sample.certificate.References",
      "directly_referenced_by": null,
      "directly_referencing": null,
      "indirectly_referenced_by": null,
      "indirectly_referencing": null
    },
    "module_prunned_references": {
      "_type": "Set",
      "elements": []
    },
    "policy_processed_references": {
      "_type": "sec_certs.sample.certificate.References",
      "directly_referenced_by": null,
      "directly_referencing": null,
      "indirectly_referenced_by": null,
      "indirectly_referencing": null
    },
    "policy_prunned_references": {
      "_type": "Set",
      "elements": []
    },
    "related_cves": null,
    "verified_cpe_matches": null
  },
  "pdf_data": {
    "_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
    "br1_deviations": 44,
    "br1_tables": null,
    "is_br1_format": false,
    "keywords": {
      "asymmetric_crypto": {
        "ECC": {
          "ECC": {
            "ECC": 17
          },
          "ECDH": {
            "ECDH": 4
          },
          "ECDSA": {
            "ECDSA": 10
          },
          "ECIES": {
            "ECIES": 2
          }
        },
        "FF": {
          "DH": {
            "DH": 11,
            "Diffie-Hellman": 7
          },
          "DSA": {
            "DSA": 21
          }
        },
        "RSA": {
          "RSA-CRT": 1,
          "RSA-OAEP": 1
        }
      },
      "certification_process": {},
      "cipher_mode": {
        "CBC": {
          "CBC": 3
        },
        "CCM": {
          "CCM": 3
        },
        "CFB": {
          "CFB": 3
        },
        "CTR": {
          "CTR": 18
        },
        "ECB": {
          "ECB": 2
        },
        "GCM": {
          "GCM": 9
        },
        "OFB": {
          "OFB": 2
        },
        "XTS": {
          "XTS": 5
        }
      },
      "cplc_data": {},
      "crypto_engine": {},
      "crypto_library": {},
      "crypto_protocol": {
        "TLS": {
          "SSL": {
            "SSL": 2
          },
          "TLS": {
            "TLS": 14,
            "TLS 1.0": 5,
            "TLS 1.1": 1,
            "TLS 1.2": 4
          }
        }
      },
      "crypto_scheme": {
        "KA": {
          "Key Agreement": 3
        },
        "MAC": {
          "MAC": 10
        }
      },
      "device_model": {},
      "ecc_curve": {
        "NIST": {
          "B-163": 1,
          "B-233": 6,
          "B-283": 6,
          "B-409": 6,
          "B-571": 6,
          "K-163": 1,
          "K-233": 6,
          "K-283": 6,
          "K-409": 6,
          "K-571": 6,
          "P-192": 2,
          "P-224": 14,
          "P-256": 14,
          "P-384": 14,
          "P-521": 14
        }
      },
      "eval_facility": {},
      "fips_cert_id": {
        "Cert": {
          "#1": 7
        }
      },
      "fips_certlike": {
        "Certlike": {
          "AES-128": 1,
          "AES-192": 1,
          "AES-256": 1,
          "DES40": 1,
          "HMAC SHA-1": 1,
          "HMAC SHA-224": 1,
          "HMAC-SHA1": 1,
          "HMAC-SHA1 128": 1,
          "HMAC-SHA224 192": 2,
          "HMAC-SHA256 256": 2,
          "HMAC-SHA384 256": 2,
          "HMAC-SHA512 256": 2,
          "PKCS #1": 13,
          "PKCS#1": 1,
          "RSA PKCS #1": 1,
          "RSA PKCS#1": 1,
          "SHA-1": 13,
          "SHA-2": 3,
          "SHA-224": 9,
          "SHA-256": 11,
          "SHA-3": 2,
          "SHA-3-224": 1,
          "SHA-3-256": 1,
          "SHA-3-384": 1,
          "SHA-3-512": 1,
          "SHA-384": 11,
          "SHA-512": 11,
          "SHA3-224": 6,
          "SHA3-256": 6,
          "SHA3-384": 6,
          "SHA3-512": 6
        }
      },
      "fips_security_level": {
        "Level": {
          "Level 1": 54,
          "Level 3": 1
        }
      },
      "hash_function": {
        "MD": {
          "MD4": {
            "MD4": 3
          },
          "MD5": {
            "MD5": 6
          }
        },
        "PBKDF": {
          "PBKDF1": 3,
          "PBKDF2": 9
        },
        "SHA": {
          "SHA1": {
            "SHA-1": 13
          },
          "SHA2": {
            "SHA-2": 3,
            "SHA-224": 9,
            "SHA-256": 11,
            "SHA-384": 11,
            "SHA-512": 11
          },
          "SHA3": {
            "SHA-3": 2,
            "SHA-3-224": 1,
            "SHA-3-256": 1,
            "SHA-3-384": 1,
            "SHA-3-512": 1,
            "SHA3-224": 6,
            "SHA3-256": 6,
            "SHA3-384": 6,
            "SHA3-512": 6
          }
        }
      },
      "ic_data_group": {},
      "javacard_api_const": {},
      "javacard_packages": {},
      "javacard_version": {},
      "os_name": {},
      "pq_crypto": {},
      "randomness": {
        "PRNG": {
          "DRBG": 43,
          "PRNG": 7
        },
        "RNG": {
          "RNG": 5
        }
      },
      "side_channel_analysis": {
        "SCA": {
          "Timing Attack": 1,
          "timing attack": 1,
          "timing attacks": 2
        },
        "other": {
          "Oracle Attack": 1
        }
      },
      "standard_id": {
        "FIPS": {
          "FIPS 140-2": 40,
          "FIPS 180-4": 3,
          "FIPS 186-2": 6,
          "FIPS 186-4": 28,
          "FIPS 198-1": 5,
          "FIPS 202": 3,
          "FIPS PUB 140-2": 2
        },
        "NIST": {
          "SP 800-108": 2,
          "SP 800-131A": 2,
          "SP 800-132": 7,
          "SP 800-133": 2,
          "SP 800-135": 6,
          "SP 800-38A": 2,
          "SP 800-38C": 1,
          "SP 800-38D": 3,
          "SP 800-38E": 2,
          "SP 800-38F": 2,
          "SP 800-56A": 7,
          "SP 800-56B": 6,
          "SP 800-56C": 3,
          "SP 800-57": 2,
          "SP 800-63B": 1,
          "SP 800-67": 1,
          "SP 800-89": 4,
          "SP 800-90A": 5
        },
        "PKCS": {
          "PKCS #1": 7,
          "PKCS#1": 1
        },
        "RFC": {
          "RFC 2246": 3,
          "RFC 2313": 2,
          "RFC 2988": 3,
          "RFC 2998": 1,
          "RFC 4086": 2,
          "RFC 4346": 1,
          "RFC 5246": 2,
          "RFC 5288": 2,
          "RFC 5488": 1
        }
      },
      "symmetric_crypto": {
        "AES_competition": {
          "AES": {
            "AES": 17,
            "AES-128": 1,
            "AES-192": 1,
            "AES-256": 1
          },
          "RC": {
            "RC2": 2,
            "RC4": 2,
            "RC5": 3
          }
        },
        "DES": {
          "3DES": {
            "Triple-DES": 12
          },
          "DES": {
            "DES": 7
          }
        },
        "constructions": {
          "MAC": {
            "HMAC": 32
          }
        },
        "miscellaneous": {
          "ARIA": {
            "ARIA": 1
          },
          "Camellia": {
            "Camellia": 2
          },
          "SEED": {
            "SEED": 3
          }
        }
      },
      "tee_name": {},
      "tls_cipher_suite": {},
      "vendor": {},
      "vulnerability": {}
    },
    "module_algorithms": {
      "_type": "Set",
      "elements": [
        "KTS#C584",
        "ECDSA#C584",
        "SHA-3#C584",
        "DSA#C584",
        "DRBG#C584",
        "HMAC#C584",
        "AES#C584",
        "RSA#C584",
        "SHS#C584",
        "KBKDF#C584",
        "CVL#C584"
      ]
    },
    "policy_algorithms": {
      "_type": "Set",
      "elements": [
        "#C584"
      ]
    },
    "policy_metadata": {
      "/Author": "Dell Technologies",
      "/CreationDate": "D:20220602161245Z",
      "/Creator": "FrameMaker 11.0",
      "/Keywords": "RSA BSAFE Crypto-C Micro Edition,  BSAFE, fips, security policy, level 1",
      "/ModDate": "D:20220603081149+10\u002700\u0027",
      "/Producer": "Acrobat Elements 10.0.0 (Windows)",
      "/Title": "RSA BSAFE Crypto-C Micro Edition 4.1.4 Security Policy Level 1",
      "pdf_file_size_bytes": 432590,
      "pdf_hyperlinks": {
        "_type": "Set",
        "elements": [
          "https://tools.ietf.org/html/rfc5288",
          "http://csrc.nist.gov/groups/STM/cmvp/standards.html",
          "https://nvlpubs.nist.gov/nistpubs/specialpublications/nist.sp.800-131ar1.pdf",
          "https://eprint.iacr.org/2011/388",
          "https://www.ipa.go.jp/security/english/jcmvp.html",
          "https://www.dell.com/support",
          "https://nvlpubs.nist.gov/nistpubs/fips/nist.fips.198-1.pdf",
          "https://www.ietf.org/rfc/rfc4086.txt",
          "https://nvlpubs.nist.gov/nistpubs/Legacy/SP/nistspecialpublication800-108.pdf",
          "https://nvlpubs.nist.gov/nistpubs/FIPS/NIST.FIPS.186-4.pdf",
          "https://nvlpubs.nist.gov/nistpubs/FIPS/NIST.FIPS.180-4.pdf",
          "https://nvlpubs.nist.gov/nistpubs/Legacy/SP/nistspecialpublication800-135r1.pdf",
          "https://tools.ietf.org/html/rfc2898",
          "https://tools.ietf.org/html/rfc2313",
          "https://tools.ietf.org/html/rfc2246",
          "https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-57pt1r4.pdf",
          "http://csrc.nist.gov/groups/STM/cmvp/documents/fips140-2/FIPS1402IG.pdf",
          "http://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-56Ar2.pdf",
          "https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-133.pdf",
          "https://nvlpubs.nist.gov/nistpubs/FIPS/NIST.FIPS.202.pdf",
          "https://nvlpubs.nist.gov/nistpubs/Legacy/SP/nistspecialpublication800-38a.pdf",
          "http://archiv.infsec.ethz.ch/education/fs08/secsem/bleichenbacher98.pdf",
          "https://nvlpubs.nist.gov/nistpubs/legacy/sp/nistspecialpublication800-38e.pdf",
          "https://nvlpubs.nist.gov/nistpubs/specialpublications/nist.sp.800-38f.pdf",
          "https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-56Cr1.pdf",
          "https://tools.ietf.org/html/rfc5246",
          "https://www.rsa.com/en-us",
          "https://csrc.nist.gov/publications/detail/sp/800-132/final",
          "https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-67r2.pdf",
          "https://nvlpubs.nist.gov/nistpubs/Legacy/SP/nistspecialpublication800-38c.pdf",
          "https://tools.ietf.org/html/rfc4346",
          "https://csrc.nist.gov/CSRC/media/Publications/sp/800-56b/rev-2/draft/documents/sp800-56Br2-draft.pdf",
          "https://nvlpubs.nist.gov/nistpubs/Legacy/SP/nistspecialpublication800-38d.pdf",
          "https://csrc.nist.gov/csrc/media/projects/cryptographic-module-validation-program/documents/fips140-2/fips1402ig.pdf",
          "https://csrc.nist.gov/publications/nistpubs/800-89/SP-800-89_November2006.pdf",
          "https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-90Ar1.pdf"
        ]
      },
      "pdf_is_encrypted": false,
      "pdf_number_of_pages": 50
    }
  },
  "state": {
    "_type": "sec_certs.sample.fips.InternalState",
    "module": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": null,
      "source_hash": null,
      "txt_hash": null
    },
    "policy": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": "475d21366dcf821dd407db5fc403ce087870bbca3e26198c1d58870b54a95c1d",
      "source_hash": "7f1f62ca85bb8426035b61ad12cb8276ca41580fbc22fdfb661420672af47fb6",
      "txt_hash": "95f6b263a8b4bca69be9fdf824aea9f44508cef0ec6eea73cb18cf4c31f99a5b"
    }
  },
  "web_data": {
    "_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
    "caveat": "When operated in FIPS mode. When entropy is externally loaded, no assurance of the minimum strength of generated keys",
    "certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/April 2023_010523_0646.pdf",
    "date_sunset": null,
    "description": "The Crypto-C Micro Edition (ME) Module is RSA\u0027s cryptographic library designed for securing mobile devices like wireless phones and personal digital assistants. It contains assembly-level optimizations on key wireless processors. Its functionality includes a wide range of data encryption and signing algorithms, including Triple-DES, the Advanced Encryption Standard (AES) algorithm, the RSA Public Key Cryptosystem, the DSA government signature algorithm, MD5 and SHA1 message digest routines, and more.",
    "embodiment": "Multi-Chip Stand Alone",
    "exceptions": [
      "Cryptographic Module Specification: Level 3",
      "Physical Security: N/A",
      "Design Assurance: Level 3"
    ],
    "fw_versions": null,
    "historical_reason": "Moved to historical list due to sunsetting",
    "hw_versions": null,
    "level": 1,
    "mentioned_certs": {},
    "module_name": "RSA BSAFE\u00ae Crypto-C Micro Edition",
    "module_type": "Software",
    "revoked_link": null,
    "revoked_reason": null,
    "standard": "FIPS 140-2",
    "status": "historical",
    "sw_versions": "4.1.4",
    "tested_conf": [
      "SUSE Linux Enterprise Server 12 SP3 on VMWare ESXi 6.0.0 running on a Dell R630 with Intel Xeon E5-2620 with PAA (64-bit)",
      "SUSE Linux Enterprise Server 12 SP3 on VMWare ESXi 6.0.0 running on a Dell R630 with Intel Xeon E5-2620 without PAA (64-bit) (single-user mode)"
    ],
    "validation_history": [
      {
        "_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
        "date": "2023-04-11",
        "lab": "Leidos Accredited Testing \u0026 Evaluation (AT\u0026E) Lab",
        "validation_type": "Initial"
      }
    ],
    "vendor": "Dell Inc., BSAFE Product Team",
    "vendor_url": "http://www.dell.com"
  }
}